#pragma once
#include <FK/FK.h>

class CollisionBox
{
private:
	fk_Block	block;
	fk_Vector	size;

	double getLenAABBToPoint(fk_Vector);
	double getNormAABBToLine(fk_Vector, fk_Vector, fk_Vector *);

public:
	fk_Model	model;
	fk_Vector	pos;

	CollisionBox(void);
	~CollisionBox(void);

	void setSize(double, double, double);
	void setPos(fk_Vector);
	fk_Vector detectCollision(fk_Vector, fk_Vector);
};
